Package com.smartgwt.client.types

# Enum CanvasFilterMode

java.lang.Object
java.lang.Enum<CanvasFilterMode>
com.smartgwt.client.types.CanvasFilterMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<CanvasFilterMode>`, `Constable`

public enum CanvasFilterMode extends Enum<CanvasFilterMode> implements ValueEnum
Constants for use with `Canvas.getAllCanvases()` to specify which canvases to return.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Return all canvases regardless of drawn/visibility/generated state.
  `ALLGENERATED`
  Return all generated canvases regardless of drawn/visibility state.
  `ALLNONGENERATED`
  Return all non-generated canvases regardless of drawn/visibility state.
  `DRAWN`
  Return only canvases that are drawn (regardless of visibility or generated status).
  `DRAWNHIDDEN`
  Return only canvases that are drawn but hidden (either directly hidden or hidden due to a hidden parent).
  `GENERATED`
  Return only generated canvases (autoChildren and other framework- generated canvases) that are drawn and visible.
  `UNDRAWN`
  Return only canvases that are not yet drawn.
  `VISIBLE`
  Return only canvases that are drawn, visible to the end user, and non-generated (developer-created).
  `VISIBLEINCLUDEGENERATED`
  Return only canvases that are drawn and visible to the end user, including generated canvases (autoChildren, etc.).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static CanvasFilterMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CanvasFilterMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VISIBLE

    public static final CanvasFilterMode VISIBLE
    Return only canvases that are drawn, visible to the end user, and non-generated (developer-created). This is the default. Visibility checking includes parental visibility, so a canvas whose parent is hidden will not be returned.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "visible".

  - ### VISIBLEINCLUDEGENERATED

    public static final CanvasFilterMode VISIBLEINCLUDEGENERATED
    Return only canvases that are drawn and visible to the end user, including generated canvases (autoChildren, etc.).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "visibleIncludeGenerated".

  - ### DRAWN

    public static final CanvasFilterMode DRAWN
    Return only canvases that are drawn (regardless of visibility or generated status).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "drawn".

  - ### DRAWNHIDDEN

    public static final CanvasFilterMode DRAWNHIDDEN
    Return only canvases that are drawn but hidden (either directly hidden or hidden due to a hidden parent).

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "drawnHidden".

  - ### UNDRAWN

    public static final CanvasFilterMode UNDRAWN
    Return only canvases that are not yet drawn.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "undrawn".

  - ### GENERATED

    public static final CanvasFilterMode GENERATED
    Return only generated canvases (autoChildren and other framework- generated canvases) that are drawn and visible.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "generated".

  - ### ALL

    public static final CanvasFilterMode ALL
    Return all canvases regardless of drawn/visibility/generated state.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "all".

  - ### ALLGENERATED

    public static final CanvasFilterMode ALLGENERATED
    Return all generated canvases regardless of drawn/visibility state.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "allGenerated".

  - ### ALLNONGENERATED

    public static final CanvasFilterMode ALLNONGENERATED
    Return all non-generated canvases regardless of drawn/visibility state.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "allNonGenerated".

- ## Method Details

  - ### values

    public static CanvasFilterMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CanvasFilterMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`